Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 28 Nov 2014, 07:10
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
alphaOS [closed]
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 24 of 47 [697 Posts]   Goto page: Previous 1, 2, 3, ..., 22, 23, 24, 25, 26, ..., 45, 46, 47 Next
Author Message
Scooby

Joined: 03 Mar 2012
Posts: 326

PostPosted: Tue 30 Apr 2013, 08:39    Post subject:  

simargl wrote:
Added peasy2boot to alphaOS repository, with some fixes to work with new gtkdialog (gtk3),
use yad instead of xmessage and replaced icon (this one is 64x64).

Worked OK in test with Ubuntu 13.04 cd image. Simple and Easy way to make bootable USB stick.
http://murga-linux.com/puppy/viewtopic.php?t=83583


Excellent!

I was thinking about updating peasy2boot. Easy2Boot it self is under heavy development.
When steve does a release I think I'll go for it.

Do you wanna know more about Easy2Boot checkout

https://sites.google.com/a/rmprepusb.com/www/tutorials/72---easyboot---a-grubdos-multiboot-drive-that-is-easy-to-maintain/e2bv1

Sim? Can I create a version that uses either gtk2 or gtk3? or do I have to do one for each?
Back to top
View user's profile Send private message 
simargl

Joined: 11 Feb 2013
Posts: 572

PostPosted: Tue 30 Apr 2013, 17:16    Post subject:  

Frugalware based alphaOS experimental announced here.
http://alphaos.freeforums.org/frugalware-based-alphaos-t87.html

Scooby wrote:
Excellent!

I was thinking about updating peasy2boot. Easy2Boot it self is under heavy development.
When steve does a release I think I'll go for it.

Do you wanna know more about Easy2Boot checkout

https://sites.google.com/a/rmprepusb.com/www/tutorials/72---easyboot---a-grubdos-multiboot-drive-that-is-easy-to-maintain/e2bv1

Sim? Can I create a version that uses either gtk2 or gtk3? or do I have to do one for each?

I tested some iso images with Easy2Boot and it worked for ubuntu 13.04, ubuntu gnome3 version and cinnarch. only Fedora didn't work - that is why I downloaded ubuntu gnome3 image (gnome 3 is very nice btw).

Your script peasy2boot was already working with gtk3 version, I just changed some icons and replaced xmessage dialog with yad. Also window default_height and default_width seem problematic with gtk3
Back to top
View user's profile Send private message Visit poster's website 
rmprep

Joined: 06 Jan 2013
Posts: 9

PostPosted: Tue 30 Apr 2013, 18:40    Post subject:  

I have had reports that Fedora works on Easy2Boot and I tested it myself and it works?? What exact ISO did you try?
_________________
Visit www.rmprepusb.com for over 100 USB boot tutorials!
Back to top
View user's profile Send private message 
simargl

Joined: 11 Feb 2013
Posts: 572

PostPosted: Wed 01 May 2013, 00:56    Post subject:  

rmprep wrote:
I have had reports that Fedora works on Easy2Boot and I tested it myself and it works?? What exact ISO did you try?

Fedora-Live-Desktop-i686-19-Alpha-1.iso
Fedora is not really priority for me, just wanted to test any distribution with gnome 3 and found this one http://ubuntugnome.org. You can relax, Easy2Boot is useful program, my intention was not to complain just to inform about what's working...
Back to top
View user's profile Send private message Visit poster's website 
simargl

Joined: 11 Feb 2013
Posts: 572

PostPosted: Wed 01 May 2013, 03:37    Post subject:  

xfburn-0.4.3-6.spkg package for alphaOS

Xfburn is a simple CD/DVD burning tool based on libburnia libraries. It can blank CD/DVD(-RW)s, burn and create iso images, audio CDs, as well as burn personal compositions of data to either CD or DVD.

http://goodies.xfce.org/projects/applications/xfburn
Back to top
View user's profile Send private message Visit poster's website 
smil99

Joined: 18 Aug 2007
Posts: 174

PostPosted: Wed 01 May 2013, 07:07    Post subject:  

Hi simargl,
Just wanted to report that an Inkscape sfs that I made from archpup works in alphaOS too, after creating only one symlink of libpoppler Smile. Sorry I couldn't bear with dependencies when I tried to compile it in alphaOS Wink .
By the way, since you've been playing with gnome3 lately, wouldn't it be cool to have a gnome adrive just like openbox? Can't wait to try that if it is made available.
Cheers.

_________________
Success is never ending. ... Failure is never final!
(Used with kind permission from jejy69)

Last edited by smil99 on Wed 01 May 2013, 11:52; edited 2 times in total
Back to top
View user's profile Send private message 
simargl

Joined: 11 Feb 2013
Posts: 572

PostPosted: Wed 01 May 2013, 10:17    Post subject:  

Ok, if it's working I'll make package for inkscape using original one from Arch and make launcher to point to gtkmm and other libraries in /opt/gparted/lib. Yes, gnome 3 sfs would be great to try, but it's too big for me to compile (maybe 'makesfs gnome' in archpup ?)
Back to top
View user's profile Send private message Visit poster's website 
gnomic

Joined: 20 Aug 2010
Posts: 77

PostPosted: Thu 02 May 2013, 01:15    Post subject: woot! boot with radeon  

Just to report I tried the v5 iso on a CPQ laptop with radeon chipset and this time got to the gui, as opposed to test with v4. However X resolution was wrong, 1024x768 as opposed to the screen native res of 1280x768. Couldn't see a way of changing this without resorting to rocket science, or at least the slightly laborious business of creating suitable modeline settings and getting them to run with xrandr.

I also found that although broadcom firmware seems to be present, the interface is not recognised. BCM4318 in this case iirc. After 'modprobe b43' iwconfig saw wlan0 but Pwireless wouldn't have anything to do with it. Again I guess it could be made to work at the cli via wpa_supplicant.conf.
Back to top
View user's profile Send private message 
simargl

Joined: 11 Feb 2013
Posts: 572

PostPosted: Thu 02 May 2013, 06:33    Post subject:  

Version 5 has newer Xorg 1.14 and mesa 9.1, that is why Xorg started to work for you. For
fixing those problems I suggest to open /etc/rc.conf and add b43 to MODULES so it will auto
load on boot, and change X_AUTOLOGIN to "no". Then you can make new xorg.conf using X
-configure command, and replace /etc/X11/xorg.conf with /root/xorg.conf.new. You can test this
without save file to avoid potential problems.
Cheers!
Back to top
View user's profile Send private message Visit poster's website 
smil99

Joined: 18 Aug 2007
Posts: 174

PostPosted: Fri 03 May 2013, 18:41    Post subject:  

Hi simargl,
Thanks for Inkscape too.
Any chance of having the following in the repo as well? Smile
1.a screenshot application
2. color picker
3. skype
4. a mail client (have been using sylpheed in other puppies)
5. sfs viewer (not installer)

Thanks again and cheers.

_________________
Success is never ending. ... Failure is never final!
(Used with kind permission from jejy69)
Back to top
View user's profile Send private message 
simargl

Joined: 11 Feb 2013
Posts: 572

PostPosted: Sat 04 May 2013, 17:31    Post subject:  

smil99 wrote:
Hi simargl,
Thanks for Inkscape too.
Any chance of having the following in the repo as well? Smile
1.a screenshot application
2. color picker
3. skype
4. a mail client (have been using sylpheed in other puppies)
5. sfs viewer (not installer)

Thanks again and cheers.


screenshot tool is there already (scrot)
color picker - you have one integrated in geany
sfs viewer - I don't know what that is Wink , there is spacefm plugin to unsquash sfs file if that's good

Will add sylpheed - soon - probably
Back to top
View user's profile Send private message Visit poster's website 
smil99

Joined: 18 Aug 2007
Posts: 174

PostPosted: Sun 05 May 2013, 08:37    Post subject:  

Quote:
screenshot tool is there already (scrot)
color picker - you have one integrated in geany
sfs viewer - I don't know what that is , there is spacefm plugin to unsquash sfs file if that's good

Will add sylpheed - soon - probably

Thanks for the pointers. Their locations are not quite obvious though Wink .
Since command line is not the favorite of many newbies, a GUI for scrot will come in handy.
SFS Load in other puppies have additional button for viewing (mounting) or closing (unmounting) sfs modules that are not yet loaded. Perhaps, you may want to take a look.

Cheers.

_________________
Success is never ending. ... Failure is never final!
(Used with kind permission from jejy69)
Back to top
View user's profile Send private message 
simargl

Joined: 11 Feb 2013
Posts: 572

PostPosted: Sun 05 May 2013, 16:08    Post subject:  

Here is link to mplayer2 site where it's announced that python 3 is required for building latest version from git http://www.mplayer2.org/2012/06/17/python3-requirement/. Info is nice and clear... and completely untrue if you apply this patch from Gentoo https://github.com/init6/init_6/blob/master/media-video/mplayer2/files/mplayer2-py2compat.patch, witch allows building with python2 (2.7.4 in this case). So, after that finding I have updated mplayer2 to git+20130309 (works better with mp4 youtube videos, no more audio delay etc.,)
Back to top
View user's profile Send private message Visit poster's website 
ndrancs


Joined: 02 Apr 2013
Posts: 40

PostPosted: Mon 06 May 2013, 00:05    Post subject: mplayer2 python2  

simargl wrote:
Here is link to mplayer2 site where it's announced that python 3 is required for building latest version from git http://www.mplayer2.org/2012/06/17/python3-requirement/. Info is nice and clear... and completely untrue if you apply this patch from Gentoo https://github.com/init6/init_6/blob/master/media-video/mplayer2/files/mplayer2-py2compat.patch, witch allows building with python2 (2.7.4 in this case). So, after that finding I have updated mplayer2 to git+20130309 (works better with mp4 youtube videos, no more audio delay etc.,)


thanks sim, i have to re-compile the new mplayer2 and test it.
i think no more audio delay because mplayer2 using FFMPEG decoder correctly.

Smile
Back to top
View user's profile Send private message 
simargl

Joined: 11 Feb 2013
Posts: 572

PostPosted: Mon 06 May 2013, 03:25    Post subject:  

Added packages:

plank-bzr-817-1.spkg
sylpheed-3.3.0-1.spkg
vala-0.20.1-1.spkg
libwnck3-3.4.5-1.spkg
libgtop-2.28.4-1.spkg
libgee06-0.6.8-1.spkg
libdbusmenu-gtk3-12.10.2-1.spkg
bamf-0.3.6-1.spkg

plank is lightweight dock/application launcher from the elementary project
sylpheed - user-friendly e-mail client http://sylpheed.sraoss.jp/en/
vala is a new programming language https://live.gnome.org/Vala
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 24 of 47 [697 Posts]   Goto page: Previous 1, 2, 3, ..., 22, 23, 24, 25, 26, ..., 45, 46, 47 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0932s ][ Queries: 12 (0.0106s) ][ GZIP on ]